## org.h2.dev.store.tree
Class StoredMap<K,V>

    java.lang.Object
      org.h2.dev.store.tree.StoredMap<K,V>

Type Parameters:
  `K` - the key class
  `V` - the value class

    public class StoredMap<K,V>

extends java.lang.Object

A stored map.

Method Summary
`V` `get(K key)` Get a value.
`java.util.Iterator<K>` `keyIterator(K from)` Iterate over all keys.
`void` `put(K key, V data)` Store a key-value pair.
`void` `remove(K key)` Remove a key-value pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### put

    public void put(K key,
                    V data)

  Store a key-value pair.

  Parameters:
    `key` - the key
    `data` - the value

### get

    public V get(K key)

  Get a value.

  Parameters:
    `key` - the key
  Returns:
    the value

### remove

    public void remove(K key)

  Remove a key-value pair.

  Parameters:
    `key` - the key

### keyIterator

    public java.util.Iterator<K> keyIterator(K from)

  Iterate over all keys.

  Parameters:
    `from` - the first key to return
  Returns:
    the iterator